SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - f -

- far_clipping_distance : SUBeginFrameInfo
- font_name : SUFontInfo
- fov : SUBeginFrameInfo
- SUFaceAddInnerLoop() : SUFaceRef
- SUFaceClearTexturePosition() : SUFaceRef
- SUFaceClearTextureProjection() : SUFaceRef
- SUFaceCoplanarWith() : SUFaceRef
- SUFaceCreate() : SUFaceRef
- SUFaceCreateSimple() : SUFaceRef
- SUFaceFromDrawingElement() : SUFaceRef
- SUFaceFromEntity() : SUFaceRef
- SUFaceGetArea() : SUFaceRef
- SUFaceGetAreaWithTransform() : SUFaceRef
- SUFaceGetAttachedDrawingElements() : SUFaceRef
- SUFaceGetBackMaterial() : SUFaceRef
- SUFaceGetEdges() : SUFaceRef
- SUFaceGetEdgeUses() : SUFaceRef
- SUFaceGetFrontMaterial() : SUFaceRef
- SUFaceGetInnerLoops() : SUFaceRef
- SUFaceGetNormal() : SUFaceRef
- SUFaceGetNumAttachedDrawingElements() : SUFaceRef
- SUFaceGetNumEdges() : SUFaceRef
- SUFaceGetNumEdgeUses() : SUFaceRef
- SUFaceGetNumInnerLoops() : SUFaceRef
- SUFaceGetNumOpenings() : SUFaceRef
- SUFaceGetNumVertices() : SUFaceRef
- SUFaceGetOpenings() : SUFaceRef
- SUFaceGetOuterLoop() : SUFaceRef
- SUFaceGetPlane() : SUFaceRef
- SUFaceGetTextureProjection() : SUFaceRef
- SUFaceGetUVHelper() : SUFaceRef
- SUFaceGetUVHelperWithTextureHandle() : SUFaceRef
- SUFaceGetUVTileAt() : SUFaceRef
- SUFaceGetVertices() : SUFaceRef
- SUFaceIsBackMaterialAffine() : SUFaceRef
- SUFaceIsComplex() : SUFaceRef
- SUFaceIsFrontMaterialAffine() : SUFaceRef
- SUFaceIsTexturePositioned() : SUFaceRef
- SUFaceIsTextureProjected() : SUFaceRef
- SUFacePositionMaterial() : SUFaceRef
- SUFaceRelease() : SUFaceRef
- SUFaceReverse() : SUFaceRef
- SUFaceSetBackMaterial() : SUFaceRef
- SUFaceSetFrontMaterial() : SUFaceRef
- SUFaceToDrawingElement() : SUFaceRef
- SUFaceToEntity() : SUFaceRef
- SUFontFromEntity() : SUFontRef
- SUFontGetBold() : SUFontRef
- SUFontGetFaceName() : SUFontRef
- SUFontGetItalic() : SUFontRef
- SUFontGetPointSize() : SUFontRef
- SUFontGetUseWorldSize() : SUFontRef
- SUFontGetWorldSize() : SUFontRef
- SUFontToEntity() : SUFontRef